Summary: More fonts for X
Vendor: URW
Name: urw-fonts
Version: 1.0
Release: 3
Source: http://www.gimp.org/urw-fonts.tar.gz
Source1: urw-fonts-1.0-README
Copyright: GPL
Group: X11
URL: http://www.gimp.org/fonts.html
BuildRoot: /var/tmp/URW-root
BuildArchitectures: noarch
Prereq: mktemp

%description 
Free versions of the 35 standard PostScript fonts. With newer releases
of ghostscript quality versions of the standard 35 Type 1 PostScript
fonts are shipped. They were donated and licenced under the GPL by
URW. The fonts.dir was specially made to match the original Adobe
names of the fonts, e.g. Times, Helvetica etc. With XFree86, these
fonts are a must to have!

%prep
%setup -q -n URW
cp $RPM_SOURCE_DIR/urw-fonts-1.0-README README

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/URW
cp -f * $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/URW

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
/usr/X11R6/lib/X11/fonts/URW

%post
if [ -f /etc/X11/XF86Config ] ; then
 if grep URW /etc/X11/XF86Config >/dev/null 2>&1 ; then : ; else
  temp=`mktemp xf.XXXXXX`
  sed '/^[^#]*FontPath[	 ]/s|misc/|misc:unscaled|' \
        < /etc/X11/XF86Config >> $temp
  sed '/^[^#]*FontPath[	 ].*misc/{
a\
    FontPath	"/usr/X11R6/lib/X11/fonts/75dpi:unscaled"
a\
    FontPath	"/usr/X11R6/lib/X11/fonts/100dpi:unscaled"
a\
    FontPath	"/usr/X11R6/lib/X11/fonts/URW"
}' < $temp > /etc/X11/XF86Config
  rm -f $temp
 fi
fi

%changelog
* Fri Sep 11 1998 Preston Brown <pbrown@redhat.com>
- integrate adding fontdir to XF86Config

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- eliminate %post output

* Wed Jul  8 1998 Jeff Johnson <jbj@redhat.com>
- create from Stefan Waldherr <swa@cs.cmu.edu> contrib package.
